﻿using MTWorkHR.Core.Entities;
using MTWorkHR.Core.IRepositories.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.IRepositories
{
    public interface IOrderAllocationRepository : IRepository<OrderAllocation>
    {
        Task<bool> AllocationExists(string userId, long orderTypeId, long? leaveTypeId, int period);
        Task<OrderAllocation> GetByIdWithAllChildren(long id);
        Task<OrderAllocation> GetUserAllocations(string userId, long orderTypeId, long? leaveTypeId, int period);

    }
}
