﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;
using Countries.NET.Database;
using System.Runtime.ConstrainedExecution;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class QualificationConfiguration : IEntityTypeConfiguration<Qualification>
    {

        public void Configure(EntityTypeBuilder<Qualification> builder)
        {
            
            builder.HasData(
                new Qualification { NameEn = "BSC", NameAr = "بكالوريوس", Id = 1 },
                new Qualification { NameEn = "Master", NameAr = "درجة الماجيستير", Id = 2 },
                new Qualification { NameEn = "Doctor", NameAr = "درحة الدكتوراه", Id = 3 }


            );
        }
    }
}